/*
    Subsystem.c
    Generated by Gene-Auto toolset ver 2.4.9
    (launcher GALauncherSCICOS)
    Generated on: 15/06/2012 14:22:16.198
    source model: Subsystem
    model version: 6.3
    last saved by:
    last saved on:
*/

/* Includes */

#include "Subsystem.h"

/* Variable definitions */

/*  Output from <SystemBlock: name=Subsystem>/<SystemBlock: name=B3>/<OutDataPort: name=B3_12>  */
REAL Subsystem_B3_B3_12[2] = {0.0, 0.0};
t_B3_io _B3_io;
UINT8 i1_2;

/* Function definitions */

void Subsystem_init(t_Subsystem_state *_state_) {
    /*  START Block: null  */

    B3_7_init(_state_);
    /*  END Block: null  */
    /*  START Block: null  */
    B3_6_init(_state_);
    /*  END Block: null  */
    /*  START Block: null  */
    B3_init(_state_);
    /*  END Block: null  */
}

void Subsystem_compute(t_Subsystem_io *_io_, t_Subsystem_state *_state_) {
    /*  Output from -35079f4:137f00fab4d:-7d20/<OutDataPort: name=null>  */
    REAL B1_null;
    /*  START Block: -35079f4:137f00fab4d:-7d20  */
    B1_null = _io_->B1;
    /*  END Block: -35079f4:137f00fab4d:-7d20  */
    /*  START Block: -35079f4:137f00fab4d:-7d1e  */
    if (B1_null > 0.0) {
        /*  Call block null  */
        _B3_io.B3_1 = B1_null;
        B3_compute(&_B3_io, _state_);
        for (i1_2 = 0; i1_2 < 2; i1_2++) {
            Subsystem_B3_B3_12[i1_2] = _B3_io.B3_12[i1_2];
        }
    }
    /*  END Block: -35079f4:137f00fab4d:-7d1e  */
    /*  START Block: -35079f4:137f00fab4d:-7d16  */
    for (i1_2 = 0; i1_2 < 2; i1_2++) {
        _io_->B4[i1_2] = Subsystem_B3_B3_12[i1_2];
    }
    /*  END Block: -35079f4:137f00fab4d:-7d16  */
}

